Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3491 - rpm -e kernel-source removes kernel-headers but keeps kernel-header entry in rpm db
Summary: rpm -e kernel-source removes kernel-headers but keeps kernel-header entry in ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-16 03:54 UTC by mrj
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 23:28:48 UTC


Attachments (Terms of Use)

Description mrj 1999-06-16 03:54:57 UTC
rpm -e kernel-source removes kernel-headers and things don't
compile.  kernel-source remove script should check for
package kernel-headers and leave files or reinstall or warn
or at least remove kernel-headers pkg from rpm db so rpm
-Uvh kernel-headers doesn't fail

Comment 1 Jeff Johnson 1999-06-16 11:31:59 UTC
The kernel-source package already requires kernel-headers. I suspect
that what has happened is that the /usr/src/linux symlink has been
removed with the kernel-source package.

This is a kernel packaging rather than an rpm issue: I'm changing the
component.

Comment 2 Cristian Gafton 1999-07-29 18:39:59 UTC
Assigned to jbj. changed the component to rpm

Comment 3 Jeff Johnson 2001-07-29 18:17:23 UTC
This is still a packaging, not an rpm, problem. I see nothing that
indicates otherwise.


Note You need to log in before you can comment on or make changes to this bug.